Bug 864295 - AttributeError: 'NoneType' object has no attribute 'get_child'
AttributeError: 'NoneType' object has no attribute 'get_child'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:3f2e5660d98a03f496655c58ff1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 00:21 EDT by digimer
Modified: 2014-02-05 07:30 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:30:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (545.33 KB, text/plain)
2012-10-09 00:22 EDT, digimer
no flags Details
File: product (6 bytes, text/plain)
2012-10-09 00:22 EDT, digimer
no flags Details
File: type (9 bytes, text/plain)
2012-10-09 00:22 EDT, digimer
no flags Details
File: storage.log (306.27 KB, text/plain)
2012-10-09 00:22 EDT, digimer
no flags Details
File: version (11 bytes, text/plain)
2012-10-09 00:22 EDT, digimer
no flags Details
File: environ (793 bytes, text/plain)
2012-10-09 00:22 EDT, digimer
no flags Details
File: anaconda.log (31.92 KB, text/plain)
2012-10-09 00:22 EDT, digimer
no flags Details
File: syslog (131.94 KB, text/plain)
2012-10-09 00:22 EDT, digimer
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-09 00:22 EDT, digimer
no flags Details
File: packaging.log (2.23 KB, text/plain)
2012-10-09 00:22 EDT, digimer
no flags Details
File: cmdline_file (129 bytes, text/plain)
2012-10-09 00:22 EDT, digimer
no flags Details
File: release (24 bytes, text/plain)
2012-10-09 00:22 EDT, digimer
no flags Details
File: program.log (37.86 KB, text/plain)
2012-10-09 00:22 EDT, digimer
no flags Details

  None (edit)
Description digimer 2012-10-09 00:21:57 EDT
Description of problem:
Tried to create a RAID1 /boot partition, sized 512MB, fs was ext4. Crashed when I clicked "+" to move on to the next partition.

Version-Release number of selected component:
anaconda-18.12

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.0-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.12 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 763, in _update_btrfs_selectors
:    page = self._accordion._find_by_title(new_install_name).get_child()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 940, in _save_right_side
:    self._update_btrfs_selectors()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1313, in on_add_clicked
:    self._save_right_side(self._current_selector)
:AttributeError: 'NoneType' object has no attribute 'get_child'
Comment 1 digimer 2012-10-09 00:22:05 EDT
Created attachment 623899 [details]
File: anaconda-tb
Comment 2 digimer 2012-10-09 00:22:07 EDT
Created attachment 623900 [details]
File: product
Comment 3 digimer 2012-10-09 00:22:08 EDT
Created attachment 623901 [details]
File: type
Comment 4 digimer 2012-10-09 00:22:12 EDT
Created attachment 623902 [details]
File: storage.log
Comment 5 digimer 2012-10-09 00:22:14 EDT
Created attachment 623903 [details]
File: version
Comment 6 digimer 2012-10-09 00:22:15 EDT
Created attachment 623904 [details]
File: environ
Comment 7 digimer 2012-10-09 00:22:17 EDT
Created attachment 623905 [details]
File: anaconda.log
Comment 8 digimer 2012-10-09 00:22:20 EDT
Created attachment 623906 [details]
File: syslog
Comment 9 digimer 2012-10-09 00:22:21 EDT
Created attachment 623907 [details]
File: hashmarkername
Comment 10 digimer 2012-10-09 00:22:23 EDT
Created attachment 623908 [details]
File: packaging.log
Comment 11 digimer 2012-10-09 00:22:25 EDT
Created attachment 623909 [details]
File: cmdline_file
Comment 12 digimer 2012-10-09 00:22:26 EDT
Created attachment 623910 [details]
File: release
Comment 13 digimer 2012-10-09 00:22:28 EDT
Created attachment 623911 [details]
File: program.log
Comment 14 Fedora End Of Life 2013-12-21 04:04:42 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2014-02-05 07:30:43 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.